#!/bin/bash

ffood import core

FFOOD_ARTIFACTS_DIR=artifacts

collect_artifacts() {
    test -f $TMP_DIR/artifact_list || return 0
    local tgt
    echo "collecting artifacts to $FFOOD_ARTIFACTS_DIR"
    cat $TMP_DIR/artifact_list \
        | while read path;
          do
              tgt=$FFOOD_ARTIFACTS_DIR/$(dirname $path)
              mkdir -p $tgt
              cp -r "$path" "$tgt"
          done
}

register_artifact() {
    local list=$TMP_DIR/artifact_list
    local a
    for a in "$@";
    do
        local dn=$(cd $(dirname $a); pwd)
        test "$dn" = "/" && dn=""   # hack: avoid "//" if path was abs
        local abspath="$dn/$(basename $a)"
        append_if_missing  "$abspath" $list
    done
}
